Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookEvents as visible on your timeline. Can be bookings, blocked periods or notes.
iduuidUnique identifier
calendar_iduuid | nullIdentifier of the external calendar this event is related to
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
durationintegerend_datedateEvent end date
ftstsvectorgenerated_titletextTitle of the event generated from the product name and the customer name
has_non_invoiced_itemsbooleanhas_open_paymentsbooleannotestextPrivate notes about the event
origintext | nullOrigin of the event
paddingsmallintPadding of the event due to cooldown time
start_datedateEvent start date
status"CANCELLED" | "TENTATIVE" | "CONFIRMED"Status of the event
titletextTitle of the event
type"booking" | "blocked period" | "note" | "blocked-period"Type of the event
uidtext | nullIdentifier of the event in the original calendar
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"calendar_id": "00000000-0000-0000-0000-000000000000",
"creator_id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T07:07:29.825Z",
"updated_at": "2026-03-12T07:07:29.825Z",
"duration": 0,
"end_date": "2026-03-12",
"generated_title": "",
"has_non_invoiced_items": false,
"has_open_payments": false,
"notes": "",
"origin": "",
"padding": 0,
"start_date": "2026-03-12",
"status": "CONFIRMED",
"title": "",
"type": "booking",
"uid": ""
}idFilter<uuid>Unique identifier
calendar_idFilter<uuid | null>Identifier of the external calendar this event is related to
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
durationFilter<integer>end_dateFilter<date>Event end date
ftsFilter<tsvector>generated_titleFilter<text>Title of the event generated from the product name and the customer name
has_non_invoiced_itemsFilter<boolean>has_open_paymentsFilter<boolean>notesFilter<text>Private notes about the event
originFilter<text | null>Origin of the event
paddingFilter<smallint>Padding of the event due to cooldown time
start_dateFilter<date>Event start date
statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">Status of the event
titleFilter<text>Title of the event
typeFilter<"booking" | "blocked period" | "note" | "blocked-period">Type of the event
uidFilter<text | null>Identifier of the event in the original calendar
200A list of calendar events with the selected columns
206Partial Content
GET /calendar_eventscurl -X GET "https://api.bookingmood.com/v1/calendar_events?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
calendar_idFilter<uuid | null>Identifier of the external calendar this event is related to
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
durationFilter<integer>end_dateFilter<date>Event end date
ftsFilter<tsvector>generated_titleFilter<text>Title of the event generated from the product name and the customer name
has_non_invoiced_itemsFilter<boolean>has_open_paymentsFilter<boolean>notesFilter<text>Private notes about the event
originFilter<text | null>Origin of the event
paddingFilter<smallint>Padding of the event due to cooldown time
start_dateFilter<date>Event start date
statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">Status of the event
titleFilter<text>Title of the event
typeFilter<"booking" | "blocked period" | "note" | "blocked-period">Type of the event
uidFilter<text | null>Identifier of the event in the original calendar
204The deleted calendar events with the selected columns
DELETE /calendar_eventscurl -X DELETE "https://api.bookingmood.com/v1/calendar_events" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
calendar_idFilter<uuid | null>Identifier of the external calendar this event is related to
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
durationFilter<integer>end_dateFilter<date>Event end date
ftsFilter<tsvector>generated_titleFilter<text>Title of the event generated from the product name and the customer name
has_non_invoiced_itemsFilter<boolean>has_open_paymentsFilter<boolean>notesFilter<text>Private notes about the event
originFilter<text | null>Origin of the event
paddingFilter<smallint>Padding of the event due to cooldown time
start_dateFilter<date>Event start date
statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">Status of the event
titleFilter<text>Title of the event
typeFilter<"booking" | "blocked period" | "note" | "blocked-period">Type of the event
uidFilter<text | null>Identifier of the event in the original calendar
Partial<CalendarEvent>204The updated calendar events with the selected columns
PATCH /calendar_eventscurl -X PATCH "https://api.bookingmood.com/v1/calendar_events" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'